// File created from ../../../src/bin/dhcp4/dhcp4_messages.mes on Tue Jan 27 2015 06:36

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace dhcp {

extern const isc::log::MessageID DHCP4_ACTIVATE_INTERFACE = "DHCP4_ACTIVATE_INTERFACE";
extern const isc::log::MessageID DHCP4_CCSESSION_STARTED = "DHCP4_CCSESSION_STARTED";
extern const isc::log::MessageID DHCP4_CCSESSION_STARTING = "DHCP4_CCSESSION_STARTING";
extern const isc::log::MessageID DHCP4_CLASS_ASSIGNED = "DHCP4_CLASS_ASSIGNED";
extern const isc::log::MessageID DHCP4_CLASS_PROCESSING_FAILED = "DHCP4_CLASS_PROCESSING_FAILED";
extern const isc::log::MessageID DHCP4_CLIENT_NAME_PROC_FAIL = "DHCP4_CLIENT_NAME_PROC_FAIL";
extern const isc::log::MessageID DHCP4_COMMAND_RECEIVED = "DHCP4_COMMAND_RECEIVED";
extern const isc::log::MessageID DHCP4_CONFIG_COMPLETE = "DHCP4_CONFIG_COMPLETE";
extern const isc::log::MessageID DHCP4_CONFIG_LOAD_FAIL = "DHCP4_CONFIG_LOAD_FAIL";
extern const isc::log::MessageID DHCP4_CONFIG_NEW_SUBNET = "DHCP4_CONFIG_NEW_SUBNET";
extern const isc::log::MessageID DHCP4_CONFIG_OPTION_DUPLICATE = "DHCP4_CONFIG_OPTION_DUPLICATE";
extern const isc::log::MessageID DHCP4_CONFIG_RECEIVED = "DHCP4_CONFIG_RECEIVED";
extern const isc::log::MessageID DHCP4_CONFIG_START = "DHCP4_CONFIG_START";
extern const isc::log::MessageID DHCP4_CONFIG_UPDATE = "DHCP4_CONFIG_UPDATE";
extern const isc::log::MessageID DHCP4_DDNS_REQUEST_SEND_FAILED = "DHCP4_DDNS_REQUEST_SEND_FAILED";
extern const isc::log::MessageID DHCP4_DEACTIVATE_INTERFACE = "DHCP4_DEACTIVATE_INTERFACE";
extern const isc::log::MessageID DHCP4_DHCID_COMPUTE_ERROR = "DHCP4_DHCID_COMPUTE_ERROR";
extern const isc::log::MessageID DHCP4_DYNAMIC_RECONFIGURATION = "DHCP4_DYNAMIC_RECONFIGURATION";
extern const isc::log::MessageID DHCP4_DYNAMIC_RECONFIGURATION_FAIL = "DHCP4_DYNAMIC_RECONFIGURATION_FAIL";
extern const isc::log::MessageID DHCP4_EMPTY_HOSTNAME = "DHCP4_EMPTY_HOSTNAME";
extern const isc::log::MessageID DHCP4_HOOKS_LIBS_RELOAD_FAIL = "DHCP4_HOOKS_LIBS_RELOAD_FAIL";
extern const isc::log::MessageID DHCP4_HOOK_BUFFER_RCVD_SKIP = "DHCP4_HOOK_BUFFER_RCVD_SKIP";
extern const isc::log::MessageID DHCP4_HOOK_BUFFER_SEND_SKIP = "DHCP4_HOOK_BUFFER_SEND_SKIP";
extern const isc::log::MessageID DHCP4_HOOK_LEASE4_RELEASE_SKIP = "DHCP4_HOOK_LEASE4_RELEASE_SKIP";
extern const isc::log::MessageID DHCP4_HOOK_PACKET_RCVD_SKIP = "DHCP4_HOOK_PACKET_RCVD_SKIP";
extern const isc::log::MessageID DHCP4_HOOK_PACKET_SEND_SKIP = "DHCP4_HOOK_PACKET_SEND_SKIP";
extern const isc::log::MessageID DHCP4_HOOK_SUBNET4_SELECT_SKIP = "DHCP4_HOOK_SUBNET4_SELECT_SKIP";
extern const isc::log::MessageID DHCP4_INIT_FAIL = "DHCP4_INIT_FAIL";
extern const isc::log::MessageID DHCP4_INVALID_ADDRESS_INIT_REBOOT = "DHCP4_INVALID_ADDRESS_INIT_REBOOT";
extern const isc::log::MessageID DHCP4_LEASE_ADVERT = "DHCP4_LEASE_ADVERT";
extern const isc::log::MessageID DHCP4_LEASE_ADVERT_FAIL = "DHCP4_LEASE_ADVERT_FAIL";
extern const isc::log::MessageID DHCP4_LEASE_ALLOC = "DHCP4_LEASE_ALLOC";
extern const isc::log::MessageID DHCP4_LEASE_ALLOC_FAIL = "DHCP4_LEASE_ALLOC_FAIL";
extern const isc::log::MessageID DHCP4_NAME_GEN_UPDATE_FAIL = "DHCP4_NAME_GEN_UPDATE_FAIL";
extern const isc::log::MessageID DHCP4_NCR_CREATION_FAILED = "DHCP4_NCR_CREATION_FAILED";
extern const isc::log::MessageID DHCP4_NOT_RUNNING = "DHCP4_NOT_RUNNING";
extern const isc::log::MessageID DHCP4_NO_SOCKETS_OPEN = "DHCP4_NO_SOCKETS_OPEN";
extern const isc::log::MessageID DHCP4_NO_SUBNET_FOR_DIRECT_CLIENT = "DHCP4_NO_SUBNET_FOR_DIRECT_CLIENT";
extern const isc::log::MessageID DHCP4_OPEN_SOCKET = "DHCP4_OPEN_SOCKET";
extern const isc::log::MessageID DHCP4_OPEN_SOCKET_FAIL = "DHCP4_OPEN_SOCKET_FAIL";
extern const isc::log::MessageID DHCP4_PACKET_DROP_NO_TYPE = "DHCP4_PACKET_DROP_NO_TYPE";
extern const isc::log::MessageID DHCP4_PACKET_NOT_FOR_US = "DHCP4_PACKET_NOT_FOR_US";
extern const isc::log::MessageID DHCP4_PACKET_PARSE_FAIL = "DHCP4_PACKET_PARSE_FAIL";
extern const isc::log::MessageID DHCP4_PACKET_PROCESS_FAIL = "DHCP4_PACKET_PROCESS_FAIL";
extern const isc::log::MessageID DHCP4_PACKET_RECEIVED = "DHCP4_PACKET_RECEIVED";
extern const isc::log::MessageID DHCP4_PACKET_RECEIVE_FAIL = "DHCP4_PACKET_RECEIVE_FAIL";
extern const isc::log::MessageID DHCP4_PACKET_SEND_FAIL = "DHCP4_PACKET_SEND_FAIL";
extern const isc::log::MessageID DHCP4_PARSER_COMMIT_EXCEPTION = "DHCP4_PARSER_COMMIT_EXCEPTION";
extern const isc::log::MessageID DHCP4_PARSER_COMMIT_FAIL = "DHCP4_PARSER_COMMIT_FAIL";
extern const isc::log::MessageID DHCP4_PARSER_CREATED = "DHCP4_PARSER_CREATED";
extern const isc::log::MessageID DHCP4_PARSER_EXCEPTION = "DHCP4_PARSER_EXCEPTION";
extern const isc::log::MessageID DHCP4_PARSER_FAIL = "DHCP4_PARSER_FAIL";
extern const isc::log::MessageID DHCP4_QUERY_DATA = "DHCP4_QUERY_DATA";
extern const isc::log::MessageID DHCP4_QUEUE_NCR = "DHCP4_QUEUE_NCR";
extern const isc::log::MessageID DHCP4_RELEASE = "DHCP4_RELEASE";
extern const isc::log::MessageID DHCP4_RELEASE_EXCEPTION = "DHCP4_RELEASE_EXCEPTION";
extern const isc::log::MessageID DHCP4_RELEASE_FAIL = "DHCP4_RELEASE_FAIL";
extern const isc::log::MessageID DHCP4_RELEASE_FAIL_NO_LEASE = "DHCP4_RELEASE_FAIL_NO_LEASE";
extern const isc::log::MessageID DHCP4_RELEASE_FAIL_WRONG_CLIENT_ID = "DHCP4_RELEASE_FAIL_WRONG_CLIENT_ID";
extern const isc::log::MessageID DHCP4_RELEASE_FAIL_WRONG_HWADDR = "DHCP4_RELEASE_FAIL_WRONG_HWADDR";
extern const isc::log::MessageID DHCP4_RESPONSE_DATA = "DHCP4_RESPONSE_DATA";
extern const isc::log::MessageID DHCP4_SERVER_FAILED = "DHCP4_SERVER_FAILED";
extern const isc::log::MessageID DHCP4_SHUTDOWN = "DHCP4_SHUTDOWN";
extern const isc::log::MessageID DHCP4_SHUTDOWN_REQUEST = "DHCP4_SHUTDOWN_REQUEST";
extern const isc::log::MessageID DHCP4_SRV_CONSTRUCT_ERROR = "DHCP4_SRV_CONSTRUCT_ERROR";
extern const isc::log::MessageID DHCP4_STARTING = "DHCP4_STARTING";
extern const isc::log::MessageID DHCP4_START_INFO = "DHCP4_START_INFO";
extern const isc::log::MessageID DHCP4_SUBNET_SELECTED = "DHCP4_SUBNET_SELECTED";
extern const isc::log::MessageID DHCP4_SUBNET_SELECTION_FAILED = "DHCP4_SUBNET_SELECTION_FAILED";
extern const isc::log::MessageID DHCP4_UNRECOGNIZED_RCVD_PACKET_TYPE = "DHCP4_UNRECOGNIZED_RCVD_PACKET_TYPE";
extern const isc::log::MessageID DHCP4_UNSUPPORTED_RCVD_PACKET_TYPE = "DHCP4_UNSUPPORTED_RCVD_PACKET_TYPE";

} // namespace dhcp
} // namespace isc

namespace {

const char* values[] = {
    "DHCP4_ACTIVATE_INTERFACE", "activating interface %1",
    "DHCP4_CCSESSION_STARTED", "control channel session started on socket %1",
    "DHCP4_CCSESSION_STARTING", "starting control channel session, specfile: %1",
    "DHCP4_CLASS_ASSIGNED", "client packet has been assigned to the following class(es): %1",
    "DHCP4_CLASS_PROCESSING_FAILED", "client class specific processing failed",
    "DHCP4_CLIENT_NAME_PROC_FAIL", "failed to process the fqdn or hostname sent by a client: %1",
    "DHCP4_COMMAND_RECEIVED", "received command %1, arguments: %2",
    "DHCP4_CONFIG_COMPLETE", "DHCPv4 server has completed configuration: %1",
    "DHCP4_CONFIG_LOAD_FAIL", "configuration error using file: %1, reason: %2",
    "DHCP4_CONFIG_NEW_SUBNET", "a new subnet has been added to configuration: %1",
    "DHCP4_CONFIG_OPTION_DUPLICATE", "multiple options with the code %1 added to the subnet %2",
    "DHCP4_CONFIG_RECEIVED", "received configuration %1",
    "DHCP4_CONFIG_START", "DHCPv4 server is processing the following configuration: %1",
    "DHCP4_CONFIG_UPDATE", "updated configuration received: %1",
    "DHCP4_DDNS_REQUEST_SEND_FAILED", "failed sending a request to kea-dhcp-ddns, error: %1,  ncr: %2",
    "DHCP4_DEACTIVATE_INTERFACE", "deactivate interface %1",
    "DHCP4_DHCID_COMPUTE_ERROR", "failed to compute the DHCID for lease: %1, reason: %2",
    "DHCP4_DYNAMIC_RECONFIGURATION", "initate server reconfiguration using file: %1, after receiving SIGHUP signal",
    "DHCP4_DYNAMIC_RECONFIGURATION_FAIL", "dynamic server reconfiguration failed with file: %1",
    "DHCP4_EMPTY_HOSTNAME", "received empty hostname from the client, skipping processing of this option",
    "DHCP4_HOOKS_LIBS_RELOAD_FAIL", "reload of hooks libraries failed",
    "DHCP4_HOOK_BUFFER_RCVD_SKIP", "received DHCPv4 buffer was dropped because a callout set the skip flag.",
    "DHCP4_HOOK_BUFFER_SEND_SKIP", "prepared DHCPv4 response was dropped because a callout set the skip flag.",
    "DHCP4_HOOK_LEASE4_RELEASE_SKIP", "DHCPv4 lease was not released because a callout set the skip flag.",
    "DHCP4_HOOK_PACKET_RCVD_SKIP", "received DHCPv4 packet was dropped, because a callout set the skip flag.",
    "DHCP4_HOOK_PACKET_SEND_SKIP", "prepared DHCPv6 response was not sent, because a callout set skip flag.",
    "DHCP4_HOOK_SUBNET4_SELECT_SKIP", "no subnet was selected, because a callout set skip flag.",
    "DHCP4_INIT_FAIL", "failed to initialize Kea server: %1",
    "DHCP4_INVALID_ADDRESS_INIT_REBOOT", "invalid address %1 requested by INIT-REBOOT client (id: %2, hwaddr: %3)",
    "DHCP4_LEASE_ADVERT", "lease %1 advertised (client client-id %2, hwaddr %3)",
    "DHCP4_LEASE_ADVERT_FAIL", "failed to advertise a lease for client client-id %1, hwaddr %2, client sent yiaddr %3",
    "DHCP4_LEASE_ALLOC", "lease %1 has been allocated for client-id %2, hwaddr %3",
    "DHCP4_LEASE_ALLOC_FAIL", "failed to grant a lease for client-id %1, hwaddr %2, client sent yiaddr %3",
    "DHCP4_NAME_GEN_UPDATE_FAIL", "failed to update the lease after generating name for a client: %1",
    "DHCP4_NCR_CREATION_FAILED", "failed to generate name change requests for DNS: %1",
    "DHCP4_NOT_RUNNING", "DHCPv4 server is not running",
    "DHCP4_NO_SOCKETS_OPEN", "no interface configured to listen to DHCP traffic",
    "DHCP4_NO_SUBNET_FOR_DIRECT_CLIENT", "no suitable subnet configured for a direct client sending packet with transaction id %1, on interface %2, received message is dropped",
    "DHCP4_OPEN_SOCKET", "opening sockets on port %1",
    "DHCP4_OPEN_SOCKET_FAIL", "failed to open socket: %1",
    "DHCP4_PACKET_DROP_NO_TYPE", "packet received on interface %1 dropped, because of missing msg-type option",
    "DHCP4_PACKET_NOT_FOR_US", "received DHCPv4 message (transid=%1, iface=%2) dropped because it contains foreign server identifier",
    "DHCP4_PACKET_PARSE_FAIL", "failed to parse incoming packet: %1",
    "DHCP4_PACKET_PROCESS_FAIL", "failed to process packet received from %1: %2",
    "DHCP4_PACKET_RECEIVED", "%1 (type %2) packet received on interface %3",
    "DHCP4_PACKET_RECEIVE_FAIL", "error on attempt to receive packet: %1",
    "DHCP4_PACKET_SEND_FAIL", "failed to send DHCPv4 packet: %1",
    "DHCP4_PARSER_COMMIT_EXCEPTION", "parser failed to commit changes",
    "DHCP4_PARSER_COMMIT_FAIL", "parser failed to commit changes: %1",
    "DHCP4_PARSER_CREATED", "created parser for configuration element %1",
    "DHCP4_PARSER_EXCEPTION", "failed to create or run parser for configuration element %1",
    "DHCP4_PARSER_FAIL", "failed to create or run parser for configuration element %1: %2",
    "DHCP4_QUERY_DATA", "received packet type %1, data is <%2>",
    "DHCP4_QUEUE_NCR", "name change request to %1 DNS entry queued: %2",
    "DHCP4_RELEASE", "address %1 belonging to client-id %2, hwaddr %3 was released properly.",
    "DHCP4_RELEASE_EXCEPTION", "exception %1 while trying to release address %2",
    "DHCP4_RELEASE_FAIL", "failed to remove lease for address %1 for duid %2, hwaddr %3",
    "DHCP4_RELEASE_FAIL_NO_LEASE", "client (client-id %1, hwaddr %2) tried to release address, %3, but there is no such lease.",
    "DHCP4_RELEASE_FAIL_WRONG_CLIENT_ID", "client (client-id %2) tried to release address %1, but it belongs to client (client-id %3)",
    "DHCP4_RELEASE_FAIL_WRONG_HWADDR", "client (client-id %2) tried to release address %1, but sent from a wrong hardware address (%3)",
    "DHCP4_RESPONSE_DATA", "responding with packet type %1, data is <%2>",
    "DHCP4_SERVER_FAILED", "server failed: %1",
    "DHCP4_SHUTDOWN", "server shutdown",
    "DHCP4_SHUTDOWN_REQUEST", "shutdown of server requested",
    "DHCP4_SRV_CONSTRUCT_ERROR", "error creating Dhcpv4Srv object, reason: %1",
    "DHCP4_STARTING", "Kea DHCPv4 server version %1 starting",
    "DHCP4_START_INFO", "pid: %1, port: %2, verbose: %3",
    "DHCP4_SUBNET_SELECTED", "the %1 subnet was selected for client assignment",
    "DHCP4_SUBNET_SELECTION_FAILED", "failed to select a subnet for incoming packet, src: %1, type: %2",
    "DHCP4_UNRECOGNIZED_RCVD_PACKET_TYPE", "received message (transaction id %1) has unrecognized type %2 in option 53",
    "DHCP4_UNSUPPORTED_RCVD_PACKET_TYPE", "received message (transaction id %1), having type %2 is not supported",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

